> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/merchant-onboarding/onboard-merchant/merchant-legal-documents/types.md).

# Types

## Get terms and conditions types

> Retrieve all types of terms and conditions associated with legal documents or signatures.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/legaldocuments/v1/TermsAndConditions/Types":{"get":{"tags":["Types"],"summary":"Get terms and conditions types","description":"Retrieve all types of terms and conditions associated with legal documents or signatures.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsAndConditionsTypeCollection"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResults"}}}}}}}},"components":{"schemas":{"TermsAndConditionsTypeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/TermsAndConditionsType"},"nullable":true}},"additionalProperties":false},"TermsAndConditionsType":{"type":"object","properties":{"termsAndConditionsTypeID":{"type":"integer","description":"A numeric identifier of a terms and conditions set. \r\nValue may differ between environments and should not be hardcoded into an application. \r\nCan be sent in as the TypeId when calling the Get Terms And Conditions endpoint to retrieve the HTML content for signer.","format":"int32"},"termsAndConditionsTypeName":{"type":"string","description":"A textual identifier for the terms and conditions. This will be consistent across environments.","nullable":true},"description":{"type":"string","description":"A textual description of the terms and conditions.","nullable":true}},"additionalProperties":false},"ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","nullable":true},"resultCode":{"type":"integer","format":"int32"},"timeStamp":{"type":"string","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/merchant-onboarding/onboard-merchant/merchant-legal-documents/types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
